Description

Bruns recently asked (by email) if configuring CoCoALib with --no-boost will work OK.

I believe CoCoALib does not depend on BOOST at all; it is needed only for the CoCoA-5 interpreter.

Check this; and perhaps modify the help for configure so that it is clear that the BOOST options are relevant only for CoCoA-5.

Related issues:

Related to CoCoALib - Design #933: Separate configure scripts for CoCoALib an... In Progress 30 Sep 2016

Related to CoCoALib - Feature #1360: configure script: add flags for "only co... Closed 01 Nov 2019

Related to CoCoALib - Design #1413: configure script: MODE option obsolete? Closed 11 Feb 2020

History

#1 - 27 Oct 2019 21:13 - John Abbott

- Related to Design #933: Separate configure scripts for CoCoALib and CoCoA-5 added

#2 - 27 Oct 2019 21:16 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 20

I have just compiled CoCoALib with the option --no-boost, and everything worked fine (as I expected/hoped).  Of course, CoCoA-5 did not build.

It may help to make a special section in the configure help message for options related just to CoCoA-5 (BOOST and readline).

#3 - 28 Oct 2019 11:48 - Anna Maria Bigatti

- % Done changed from 20 to 30

I think that --no-boost should be listed as a CoCoALib option, because it can compile without boost, instead of a CoCoA-5 option, because the latter

cannot compile without boost, so that's non an option.

#4 - 28 Oct 2019 12:31 - John Abbott

Ahhh.  I see your point.

For CoCoALib the option --no-boost does nothing (since CoCoALib does not use BOOST, I believe).

This does make me feel that separate configure scripts for CoCoALib and CoCoA-5 might make better sense; though it will be (very) slightly more

work for us when we want to compile a new version of CoCoA-5.

The current arrangement is potentially confusing for people who just want CoCoALib.
#5 - 29 Oct 2019 10:58 - Anna Maria Bigatti

I have another suggestion:  add the flag --only-lib that does --no-boost --no-readline and does not compile cocoa5.

Configuration should be faster, and also compilation (with no attempt to compile cocoa5)

#6 - 09 Jan 2020 13:29 - John Abbott

- Related to Feature #1360: configure script: add flags for "only cocoalib" or "both cocoalib and cocoa5" (for boost) added

#7 - 09 Jan 2020 13:32 - John Abbott

- Assignee set to John Abbott

- % Done changed from 30 to 90

- Estimated time set to 0.88 h

I think that the documentation for the configure script is clear enough now; so am moving this issue to feedback.

The issue (#1360) about the names for the options is separate.

#8 - 11 Feb 2020 12:41 - John Abbott

- Related to Design #1413: configure script: MODE option obsolete? added

#9 - 13 Feb 2020 11:06 - John Abbott

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

- Estimated time changed from 0.88 h to 1.11 h

Anna finds current --help doc acceptable.  Closing.

NOTE the help will almost certainly change when #1360 is implemented!
